Bug 582438 - transmission-gtk-1.92-1.fc12: crash in cairo_clip() from clearlooks_gummy_draw_progressbar_fill()
Summary: transmission-gtk-1.92-1.fc12: crash in cairo_clip() from clearlooks_gummy_dra...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7130934eaf7fd5976c1e75daccf...
Keywords:
: 557215 573235 578183 586782 587245 588572 613396 618399 636247 645985 648904 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-14 22:01 UTC by Germán
Modified: 2010-12-03 15:53 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-03 15:53:26 UTC


Attachments (Terms of Use)
File: backtrace (29.19 KB, text/plain)
2010-04-14 22:01 UTC, Germán
no flags Details

Description Germán 2010-04-14 22:01:03 UTC
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: transmission
component: transmission
executable: /usr/bin/transmission
kernel: 2.6.32.11-99.fc12.i686
package: transmission-gtk-1.92-1.fc12
rating: 4
reason: Process /usr/bin/transmission was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

Comment 1 Germán 2010-04-14 22:01:06 UTC
Created attachment 406655 [details]
File: backtrace

Comment 2 Charles Kerr 2010-04-15 14:49:22 UTC
Actual crash:

> #3  0x00e18bd8 in __assert_fail (assertion=0xb15ddb "ret != inval_id", 
>    file=0xb15da9 "xcb_io.c", line=378, function=0xb15f5c "_XAllocID")
>    at assert.c:81
>        buf = 0x88ba090 "transmission: xcb_io.c:378: _XAllocID: La declaraci\303\263n `ret != inval_id' no se cumple.\n"
> #4  0x00aa5c0a in _XAllocID (dpy=0x8865c00) at xcb_io.c:378
>         ret = 4294967295
>         __PRETTY_FUNCTION__ = "_XAllocID"
> #5  0x00a7af19 in XCreatePixmap (dpy=<value optimized out>, 
>     d=<value optimized out>, width=<value optimized out>, 
>     height=<value optimized out>, depth=<value optimized out>)
>     at CrPixmap.c:58

Looks like it's crashing as clearlooks_gummy_draw_progressbar_fill() is calling cairo_clip() and Cairo's unable to create an intersection mask.

I'd recommend bumping this upstairs to the Bluecurve or Cairo people for a second opinion.  My first guess is that this is a Bluecurve issue.  Even if it's Transmission's bug, though, upstream may have a better idea of how to fix it.

Comment 3 Charles Kerr 2010-04-16 03:41:28 UTC
*** Bug 578183 has been marked as a duplicate of this bug. ***

Comment 4 Charles Kerr 2010-04-16 04:12:26 UTC
*** Bug 573235 has been marked as a duplicate of this bug. ***

Comment 5 Charles Kerr 2010-04-19 16:01:53 UTC
*** Bug 557215 has been marked as a duplicate of this bug. ***

Comment 6 Charles Kerr 2010-04-28 14:22:19 UTC
*** Bug 586782 has been marked as a duplicate of this bug. ***

Comment 7 Charles Kerr 2010-04-29 15:02:14 UTC
*** Bug 587245 has been marked as a duplicate of this bug. ***

Comment 8 Charles Kerr 2010-05-05 08:45:29 UTC
*** Bug 588572 has been marked as a duplicate of this bug. ***

Comment 9 Charles Kerr 2010-09-09 16:57:33 UTC
*** Bug 618399 has been marked as a duplicate of this bug. ***

Comment 10 Charles Kerr 2010-10-23 16:43:01 UTC
*** Bug 645985 has been marked as a duplicate of this bug. ***

Comment 11 Charles Kerr 2010-10-23 16:43:06 UTC
*** Bug 636247 has been marked as a duplicate of this bug. ***

Comment 12 Charles Kerr 2010-10-23 16:43:12 UTC
*** Bug 613396 has been marked as a duplicate of this bug. ***

Comment 13 Charles Kerr 2010-11-02 15:14:51 UTC
*** Bug 648904 has been marked as a duplicate of this bug. ***

Comment 14 Bug Zapper 2010-11-03 17:06:24 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2010-12-03 15:53:26 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.